/******************************************
	TITLE:	        Blink an LED with a digital pin
	Created by      Rudy Schlaf - eeawesome.com
                        Based on 'Blink' provided with the Arduino IDE;
	DATE:		11/2014
*******************************************/

#define LEDpin 2//this is the pin number that we are using to connect the LED
                //#define is a 'pre-compilation statement'; it simply means that throughout the text
                //of the sketch the word "LEDpin" is replaced with "2" before the sketch is compiled
                //and sent to the Arduino

void setup() {                
  // initialize the digital pin as an output. This enables it to provide electrical power to something 
  //like the LED that is hooked up to it.
  pinMode(LEDpin, OUTPUT);     
}

void loop() {
  digitalWrite(LEDpin, HIGH);   // set the LED on
  delay(1000);              // wait for a second
  digitalWrite(LEDpin, LOW);    // set the LED off
  delay(1000);              // wait for a second
}
